#ifndef __BOOTAPP_H__
#define __BOOTAPP_H__

/*******************************************************************************
* the includes
******************************************************************************/
#include "stm32l4xx_hal.h"


/*******************************************************************************
* the defines
******************************************************************************/



/*******************************************************************************
* the typedefs
******************************************************************************/



/*******************************************************************************
* the globals
******************************************************************************/



/*******************************************************************************
* the functions
******************************************************************************/

void WriteCRCInfo(uint32_t len, uint32_t crc);
uint8_t ReadCRCInfo(uint32_t* len, uint32_t* crc);
void bootApp_init(void);
void bootApp_mainTask(void);
void bootApp_WriteHardFaultData(uint32_t data);
void bootApp_ReqErase(uint8_t block_len);



#endif

